package com.gic.haoban.manage.api.dto.qdto.chat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.gic.commons.web.qo.PageQo;

public class ChatHmSearchQDTO extends PageQo implements Serializable {

    private static final long serialVersionUID = 5747628025933650750L;

    private Date startDate;
    private Date endDate;
    private String wxEnterpriseId;
    private String enterpriseId;
    private String searchParams;
    private String searchParamsCode;
    // 1有效 2作废
    private Integer status;
    private Long linkId;
    private List<Long> chatHmIdList;
    private List<String> creatorIdList;
    private Integer linkCount;
    private int allFlag;
    public String getSearchParamsCode() {
        return searchParamsCode;
    }

    public void setSearchParamsCode(String searchParamsCode) {
        this.searchParamsCode = searchParamsCode;
    }

    public int getAllFlag() {
        return allFlag;
    }

    public void setAllFlag(int allFlag) {
        this.allFlag = allFlag;
    }

    public Integer getLinkCount() {
        return linkCount;
    }

    public void setLinkCount(Integer linkCount) {
        this.linkCount = linkCount;
    }

    public List<String> getCreatorIdList() {
        return creatorIdList;
    }

    public void setCreatorIdList(List<String> creatorIdList) {
        this.creatorIdList = creatorIdList;
    }

    public List<Long> getChatHmIdList() {
        return chatHmIdList;
    }

    public void setChatHmIdList(List<Long> chatHmIdList) {
        this.chatHmIdList = chatHmIdList;
    }

    public Long getLinkId() {
        return linkId;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public Date getStartDate() {
        return startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public String getSearchParams() {
        return searchParams;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setSearchParams(String searchParams) {
        this.searchParams = searchParams;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
